%global pypi_name enlighten
%global sum  Enlighten Progress Bar
%global desc Enlighten Progress Bar is console progress bar module for Python.\
The main advantage of Enlighten is it allows writing to stdout and stderr\
without any redirection.

Name:           python-%{pypi_name}
Version:        1.11.2
Release:    	2%{?dist}
Summary:        %{sum}

License:        MPLv2.0
URL:            https://github.com/Rockhopper-Technologies/enlighten
Source0:        %{pypi_source}
BuildArch:      noarch


BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-blessed
BuildRequires:  python%{python3_pkgversion}-prefixed


%description
%{desc}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{sum}
Requires:       python%{python3_pkgversion}-blessed
Requires:       python%{python3_pkgversion}-prefixed

%description -n python%{python3_pkgversion}-%{pypi_name}
%{desc}


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

find -name '*.pyc' -delete

%build
%py3_build


%install
%py3_install


%check
%{__python3} -m unittest


%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README*
%doc examples
%license LICENSE
%{python3_sitelib}/enlighten*


%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 1.11.2-2
- [Type] other
- [DESC] Remove not used macors

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.2-1
- initial build
